std::tr1::reference_wrapper(3)

NAME
std::tr1::reference_wrapper -

SYNOPSIS

Inherits _Reference_wrapper_base< std::tr1::remove_cv< _Tp >::_Tp >.

Detailed Description

  template<typename _Tp> class std::tr1::reference_wrapper< _Tp >

Definition at line 339 of file tr1/functional.

  Public Types
typedef _Tp type

  Public Member Functions
_Tp & get () const
operator _Tp & () const
reference_wrapper & operator= (const reference_wrapper< _Tp > &__inref)
reference_wrapper (const reference_wrapper< _Tp > &__inref)
reference_wrapper (_Tp &__indata)

Author

Generated automatically by Doxygen for libstdc++ from the source code.